
Robotics Systems Types - Feature #1295
Add AxisAlignedBoundingBox3DFloat to the sandbox
12/11/2012 09:35 PM - J. Moringen

Status: Resolved Start date: 12/11/2012
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Related issues:
Related to Robotics Systems Types - Feature # 1294: Add BoundingBox3D and Bou... Resolved 12/11/2012

Associated revisions
Revision d401494f - 12/12/2012 05:35 PM - J. Moringen

Added AxisAlignedBoundingBox3DFloat in proto/sandbox/rst/geometry/

fixes #1295

    -  proto/sandbox/rst/geometry/AxisAlignedBoundingBox3DFloat.proto: new
  file; axis-aligned bounding box consisting of upper-left-back corner
  plus width, height and depth

Revision b73578b9 - 12/12/2012 05:36 PM - J. Moringen

Added AxisAlignedBoundingBox3DFloat in proto/sandbox/rst/geometry/

refs #1295

    -  proto/sandbox/rst/geometry/AxisAlignedBoundingBox3DFloat.proto: new
  file; axis-aligned bounding box consisting of upper-left-back corner
  plus width, height and depth

Revision 7d92a548 - 12/12/2012 05:48 PM - J. Moringen

Documentation fixes in proto/sandbox/rst/geometry/*BoundingBox3DFloat.proto

refs #1294, refs #1295

    -  proto/sandbox/rst/geometry/AxisAlignedBoundingBox3DFloat.proto:
  fixed and improved documentation

    -  proto/sandbox/rst/geometry/BoundingBox3DFloat.proto: likewise

Revision d8662562 - 12/12/2012 05:48 PM - J. Moringen

Backport: Documentation fixes in proto/sandbox/rst/geometry/*BoundingBox3DFloat.proto

refs #1294, refs #1295
    -  proto/sandbox/rst/geometry/AxisAlignedBoundingBox3DFloat.proto:
  fixed and improved documentation

    -  proto/sandbox/rst/geometry/BoundingBox3DFloat.proto: likewise

History
#1 - 12/11/2012 09:37 PM - J. Moringen
- Subject changed from Added axis-aligned 3D bounding box to Add AxisAlignedBoundingBox3DFloat to the sandbox

#2 - 12/11/2012 09:38 PM - J. Moringen
- File 0001-Added-AxisAlignedBoundingBox3DFloat-in-proto-sandbox.patch added

#3 - 12/12/2012 01:27 PM - J. Wienke

I'm ok with this one.

#4 - 12/12/2012 05:19 PM - Anonymous

Shouldn't top_left_back be a translation?

#5 - 12/12/2012 07:38 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-proto|commit:d401494f03a835b630f9cc909de2e8de4d3c9fa9.

Files
0001-Added-AxisAlignedBoundingBox3DFloat-in-proto-sandbox.patch 2.42 KB 12/11/2012 J. Moringen
